<template>
  <footer class="rounded-t-[5vw] footer-menu">
    <ul class="flex items-center h-[12.8vw]">
      <li class="text-center flex-1">
        <nuxt-link
          :id="ID.TAB_TYPE_MOBILE_BOTTOM_BAR.HOME"
          to="/"
          class="text-x88a1 inline-flex items-center flex-col-reverse footer-items home-tab"
        >
          <em class="not-italic block text-[2.5vw] pointer-events-none">{{ $t("home") }}</em>
          <img
            class="inactive-footer-item-image h-[6vw] pointer-events-none"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/home.png'
              )
            "
          />
          <img
            class="active-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/home-active.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li class="text-center flex-1" v-if="isAllowPromotionTab">
        <nuxt-link
          to="/promotion"
          :id="ID.TAB_TYPE_MOBILE_BOTTOM_BAR.PROMOTION"
          class="text-x88a1 inline-flex items-center flex-col-reverse footer-items promotion-tab"
        >
          <em class="not-italic block text-[2.5vw] pointer-events-none">{{ $t("promotion") }}</em>
          <img
            class="inactive-footer-item-image h-[6vw] pointer-events-none"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/promotion.png'
              )
            "
          />
          <img
            class="active-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/promotion-active.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li class="text-center flex-1">
        <nuxt-link
          to="/contact-us"
          class="text-x88a1 inline-flex items-center flex-col-reverse footer-items"
        >
          <em class="not-italic block text-[2.5vw]">{{ $t("contact_us") }}</em>
          <img
            class="inactive-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/contact-us.png'
              )
            "
          />
          <img
            class="active-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/contact-us-active.png'
              )
            "
          />
        </nuxt-link>
      </li>
      <li class="text-center flex-1">
        <nuxt-link
          to="/profile"
          class="text-x88a1 inline-flex items-center flex-col-reverse footer-items"
        >
          <em class="not-italic block text-[2.5vw]">{{ $t("account") }}</em>
          <img
            class="inactive-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/profile.png'
              )
            "
          />
          <img
            class="active-footer-item-image h-[6vw]"
            :src="
              getAssetImage(
                'assets/theme/light_flexible_1/mobile/images/profile-active.png'
              )
            "
          />
        </nuxt-link>
      </li>
    </ul>
  </footer>
</template>

<script lang="ts">
import { computed, defineComponent, toRefs } from "vue";
import { useRoute } from "vue-router";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "MFooterFunction1",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
  },
  setup(_) {
    const router = useRouter();
    const route = useRoute();
    const { name } = toRefs(route);
    const isHome = computed(() => name.value === "HomeInitial");
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        router.push("/login");
      }
    };
    const { getAssetImage } = commonHelper;
    const { isAllowPromotionTab } = useHeaderComponent();
    return {
      name,
      isHome,
      onNavigateToPage,
      getAssetImage,
      isAllowPromotionTab,
    };
  },
});
</script>
<style lang="scss">
.footer-menu {
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: 21 !important;
  background-color: var(--background1);
  filter: drop-shadow(0 -1px 3px rgba(187, 193, 207, 0.4));
}

.footer-items {
  .inactive-footer-item-image {
    display: block;
  }
  .active-footer-item-image {
    display: none;
  }
}
.footer-items.nuxt-link-active {
  animation-duration: 300ms;
  animation-name: animation-pop-up;
  color: var(--active-text-color1);
  .inactive-footer-item-image {
    display: none !important;
  }
  .active-footer-item-image {
    display: block !important;
  }
}

@keyframes animation-pop-up {
  0% {
    transform: scale(10%);
  }
  50% {
    transform: scale(120%);
  }
  100% {
    transform: scale(100%);
  }
}
</style>
